# `knotd` – Knot DNS server daemon

## Synopsis

knotd [config_option] [options]

## Description

Knot DNS is a high-performance authoritative DNS server. The knotd program is the DNS server daemon.

### Config options

-c, --config file

  Use a textual configuration file (default is `@config_dir@/knot.conf`).

-C, --confdb directory

  Use a binary configuration database directory (default is `@storage_dir@/confdb`). The default configuration database, if exists, has a preference to the default configuration file.

### Options

-m, --max-conf-size MiB

  Set maximum size of the configuration database (default is @conf_mapsize@ MiB, maximum 10000 MiB).

-s, --socket path

  Use a remote control UNIX socket path (default is `@run_dir@/knot.sock`).

-d, --daemonize [directory]

  Run the server as a daemon. New root directory may be specified (default is `/`).

-v, --verbose

  Enable debug output.

-h, --help

  Print the program help.

-V, --version

  Print the program version. The option -VV makes the program print the compile time configuration summary.

### Signals

The knotd process handles the following signals:

- SIGINT – Stop the process.

- SIGHUP – Reload the server configuration and reopen configured log files.

- SIGUSR1 – Reload all configured zones (not recommended with catalog zones).

## Exit values

Exit status of 0 means successful operation. Any other exit status indicates an error.

## See Also

knot.conf(5), knotc(8), keymgr(8), kjournalprint(8).